{
    "componentChunkName": "component---src-layouts-redoc-tsx",
    "path": "/api/",
    "result": {"pageContext":{"id":"3a4a805d-2611-5334-9eea-87eefeb07e24","spec":{"openapi":"3.0.3","info":{"title":"Link API","version":"0.0.0","description":"Link your database entities to the world's premier financial databases from S&P Global."},"paths":{"/api/linkfile/v0/create":{"post":{"operationId":"createJob","description":"Create parameters necessary to upload the input file and start the linking job.","summary":"Create a file linking job.","tags":["linkFile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicCreateJobRequest"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/PublicCreateJobRequest"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/PublicCreateJobRequest"}}},"required":true},"security":[{"Link JWT Auth":[]},{}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateJobResponse"}}},"description":"Indicates the linking job was created successfully."},"400":{"description":"Indicates a bad request because of invalid input."},"403":{"description":"Indicates that the authorization information is missing or invalid."},"500":{"description":"Indicates that an unexpected error occurred and should be further investigated."}}}},"/api/linkfile/v0/download-url/{job_id}":{"get":{"operationId":"getOutputDownloadUrl","description":"Get pre-signed url to download the output of a completed job.","summary":"Get the output download url of a file linking job.","parameters":[{"in":"path","name":"job_id","schema":{"type":"string"},"required":true}],"tags":["linkFile"],"security":[{"Link JWT Auth":[]},{}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OutputDownloadURL"}}},"description":"Indicates the linking job output is ready for download."},"403":{"description":"Indicates that the authorization information is missing or invalid."},"404":{"description":"Indicates the linking job was not found or that the output is not yet ready for download."},"410":{"description":"Indicates the linking job results have expired."},"429":{"description":"Indicates that the user's requested usage was denied."},"500":{"description":"Indicates that an unexpected error occurred and should be further investigated."}}}},"/api/linkfile/v0/start/{job_id}":{"get":{"operationId":"startJob","description":"Start the linking job once the file is uploaded successfully.","summary":"Start a file linking job.","parameters":[{"in":"path","name":"job_id","schema":{"type":"string"},"required":true}],"tags":["linkFile"],"security":[{"Link JWT Auth":[]},{}],"deprecated":true,"responses":{"200":{"description":"Indicates the linking job was started successfully."},"400":{"description":"Indicates a bad request related to previous validation of uploaded file."},"403":{"description":"Indicates that the authorization information is missing or invalid."},"404":{"description":"Indicates the linking job was not found."}}},"post":{"operationId":"startJob_2","description":"Start the linking job once the file is uploaded successfully.","summary":"Start a file linking job.","parameters":[{"in":"path","name":"job_id","schema":{"type":"string"},"required":true}],"tags":["linkFile"],"security":[{"Link JWT Auth":[]},{}],"responses":{"200":{"description":"Indicates the linking job was started successfully."},"400":{"description":"Indicates a bad request related to previous validation of uploaded file."},"403":{"description":"Indicates that the authorization information is missing or invalid."},"404":{"description":"Indicates the linking job was not found."}}}},"/api/linkfile/v0/status/all":{"get":{"operationId":"getAllJobStatuses","description":"Get status of all the users created by a user.","summary":"Get the status of all file linking jobs.","tags":["linkFile"],"security":[{"Link JWT Auth":[]},{}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicJobStatusAllResponse"}}},"description":"Indicates the status of all linking jobs were found."},"403":{"description":"Indicates that the authorization information is missing or invalid."},"500":{"description":"Indicates that an unexpected error occurred and should be further investigated."}}}},"/api/linkfile/v0/status/job/{job_id}":{"get":{"operationId":"getJobStatus","description":"Get status of a particular job.","summary":"Get a file linking job's status.","parameters":[{"in":"path","name":"job_id","schema":{"type":"string"},"required":true}],"tags":["linkFile"],"security":[{"Link JWT Auth":[]},{}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicJobStatusResponse"}}},"description":"Indicates the status of the linking job was found."},"403":{"description":"Indicates that the authorization information is missing or invalid."},"404":{"description":"Indicates the linking job was not found."},"410":{"description":"Indicates the linking job results have expired."},"500":{"description":"Indicates that an unexpected error occurred and should be further investigated."}}}},"/api/ondemand/v0/{entity_type}/{knowledge_base}/{model_name}":{"post":{"operationId":"runLink","description":"Index handler.","summary":"Run an ondemand link.","parameters":[{"in":"path","name":"entity_type","schema":{"type":"string"},"required":true},{"in":"path","name":"knowledge_base","schema":{"type":"string","enum":["capiq","mi"]},"required":true},{"in":"path","name":"model_name","schema":{"type":"string","enum":["generic"]},"required":true}],"tags":["onDemand"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnDemandRequest"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OnDemandRequest"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OnDemandRequest"}}},"required":true},"security":[{"Link JWT Auth":[]},{}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicOnDemandResponse"}}},"description":"Indicates the linking request was run successfully."},"400":{"description":"Indicates a bad request because of invalid input."},"403":{"description":"Indicates that the authorization information is missing or invalid."},"429":{"description":"Indicates that the user's requested usage was denied."},"500":{"description":"Indicates that an unexpected error occurred and should be further investigated."}}}}},"components":{"schemas":{"CreateJobResponse":{"type":"object","properties":{"job_id":{"type":"string","format":"uuid"},"aws_upload_url":{"type":"object","additionalProperties":{}}},"required":["aws_upload_url","job_id"]},"IncludeResponseFieldsEnum":{"enum":["name","address","city","state","zipcode","country_iso3","aliases","phone_number","url","year_founded"],"type":"string"},"KnowledgeBaseEnum":{"enum":["mi","capiq"],"type":"string"},"Links":{"type":"object","properties":{"sp_company_id":{"type":"string"},"link_score":{"type":"number","format":"double"},"name":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"state":{"type":"string"},"zipcode":{"type":"string"},"country":{"type":"string"},"aliases":{"type":"string"},"phone_number":{"type":"string"},"url":{"type":"string"},"year_founded":{"type":"string"},"cross_reference_identifiers":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string","maxLength":256},"description":"BECRS can potentially return multiple output IDs for a given input ID."},"description":"Requested cross reference identifiers from BECRS that were found and the user is entitled to."},"ultimate_parent_company":{"allOf":[{"$ref":"#/components/schemas/UltimateParentCompany"}],"description":"Details about the ultimate parent company that was found and if the user is entitled to it."}},"required":["link_score","sp_company_id"]},"LinksForRecords":{"type":"object","properties":{"uid":{"type":"string"},"num_links":{"type":"integer"},"links":{"type":"array","items":{"$ref":"#/components/schemas/Links"}}},"required":["links","num_links","uid"]},"ModelNameEnum":{"enum":["generic"],"type":"string"},"OnDemandRequest":{"type":"object","properties":{"records":{"type":"array","items":{"$ref":"#/components/schemas/Record"},"maxItems":100},"num_top_records":{"type":"integer","maximum":5,"minimum":1,"default":1},"include_response_fields":{"type":"array","items":{"$ref":"#/components/schemas/IncludeResponseFieldsEnum"},"default":["name"]},"include_identifiers":{"type":"array","items":{"type":"string","description":"A valid BECRS ID type like 'DUNS' or 'LEI'. Requestor must be entitled to the ID type in BECRS to request it through Link.","maxLength":256},"default":[],"description":"A list of BECRS ID types to look up and include in the response. Possible values: BIC, CAPIQ, CMA, CN_TAX, CREDITSAFE, CUSIP6, DUNS, EIN, FDIC, FED, FITCH, GVKEY, KR_TAX, LEI, LOCALREGISTRY, MARKIT_TICKER, MOODYS, NCUA, RATINGSXPRESS, REDCODE, SNL, SP_GVKEY, TRUCOST, VAT_ID"},"get_ultimate_parent":{"type":"boolean","nullable":true,"default":false,"description":"Whether to fetch the ultimate parent company information. This field requires include_identifiers to be set as well."},"country_filter":{"type":"boolean","nullable":true,"default":false,"description":"If set to `True` then the output records with a `country_iso3` value will be filtered if the input record's `country_iso3` exists and matches. Note: if either the input or output record is missing a country_iso3 then the record will still be included in the output."}},"required":["records"]},"OutputDownloadURL":{"type":"object","properties":{"file_path":{"type":"string"}},"required":["file_path"]},"PublicCreateJobRequest":{"type":"object","description":"Only used for limiting information in API docs.","properties":{"job_name":{"type":"string","maxLength":30},"file_name":{"type":"string","maxLength":100},"knowledge_base":{"$ref":"#/components/schemas/KnowledgeBaseEnum"},"model_name":{"$ref":"#/components/schemas/ModelNameEnum"},"num_top_records":{"type":"integer","maximum":5,"minimum":1},"country_filter":{"type":"boolean","description":"If set to `True` then the output records with a `country_iso3` value will be filtered if the input record's `country_iso3` exists and matches. Note: if either the input or output record is missing a country_iso3 then the record will still be included in the output."},"extra_fields":{"type":"array","items":{"type":"string","maxLength":30}},"include_identifiers":{"type":"array","items":{"type":"string","description":"A valid BECRS ID type like 'DUNS' or 'LEI'. Requestor must be entitled to the ID type in BECRS to request it through Link.","maxLength":30},"nullable":true,"description":"A list of BECRS ID types to look up and include in the response. The output CSV will contain a column for each requested ID type. The actual ID values will be pipe separated if there are multiple IDs for the same ID type. Possible values: BIC, CAPIQ, CMA, CN_TAX, CREDITSAFE, CUSIP6, DUNS, EIN, FDIC, FED, FITCH, GVKEY, KR_TAX, LEI, LOCALREGISTRY, MARKIT_TICKER, MOODYS, NCUA, RATINGSXPRESS, REDCODE, SNL, SP_GVKEY, TRUCOST, VAT_ID"},"get_ultimate_parent":{"type":"boolean","nullable":true,"description":"Whether to fetch the ultimate parent company information. This field requires include_identifiers to be set as well."},"include_input_fields":{"type":"boolean","nullable":true,"description":"Whether to include fields submitted via the input file in the output file."}},"required":["country_filter","file_name","job_name","knowledge_base","model_name"]},"PublicJobStatusAllResponse":{"type":"object","description":"Only used for limiting information in API docs.","properties":{"statuses":{"type":"array","items":{"$ref":"#/components/schemas/PublicJobStatusResponse"}}},"required":["statuses"]},"PublicJobStatusResponse":{"type":"object","description":"Only used for limiting information in API docs.","properties":{"job_id":{"type":"string","format":"uuid"},"status":{"$ref":"#/components/schemas/StatusEnum"},"create_time":{"type":"string","format":"date-time"},"end_time":{"type":"string","format":"date-time","nullable":true},"file_expiry_time":{"type":"string","format":"date-time","nullable":true},"num_records":{"type":"integer","nullable":true},"parameters":{"$ref":"#/components/schemas/PublicCreateJobRequest"},"message":{"type":"string","nullable":true,"maxLength":256},"model_name":{"type":"string","maxLength":256},"model_version":{"type":"string","nullable":true,"default":"","maxLength":256}},"required":["create_time","end_time","file_expiry_time","job_id","message","model_name","num_records","parameters","status"]},"PublicOnDemandResponse":{"type":"object","description":"Only used for limiting information in API docs.","properties":{"entity_type":{"type":"string"},"knowledge_base":{"$ref":"#/components/schemas/KnowledgeBaseEnum"},"model_name":{"$ref":"#/components/schemas/ModelNameEnum"},"records":{"type":"array","items":{"$ref":"#/components/schemas/LinksForRecords"}}},"required":["entity_type","knowledge_base","model_name","records"]},"Record":{"type":"object","properties":{"uid":{"type":"string","maxLength":256},"name":{"type":"string","maxLength":256},"aliases":{"type":"array","items":{"type":"string","maxLength":256},"default":[],"maxItems":100},"country_iso3":{"type":"string","default":"","maxLength":3,"minLength":3},"address":{"type":"string","default":"","maxLength":100},"state":{"type":"string","default":"","maxLength":100},"city":{"type":"string","default":"","maxLength":100},"zipcode":{"type":"string","default":"","maxLength":100},"year_founded":{"type":"integer","minimum":0,"default":0},"url":{"type":"string","default":"","maxLength":256},"phone_number":{"type":"string","default":"","maxLength":32}},"required":["name","uid"]},"StatusEnum":{"enum":["CREATED","ENQUEUED","VALIDATED","PROCESSING","SUCCESS","ERROR","HIDDEN","UPLOAD_VALIDATING","UPLOAD_VALIDATED","UPLOAD_VALIDATE_FAILED"],"type":"string"},"UltimateParentCompany":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the ultimate parent company."},"name":{"type":"string","description":"The name of the ultimate parent company."}}}},"securitySchemes":{"Link JWT Auth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"servers":[{"url":"https://api.link.kensho.com","description":"Prod"}],"tags":[{"name":"linkFile","x-displayName":"Link File"},{"name":"onDemand","x-displayName":"Ondemand"}]},"version":{"identifier":"v0","latest":true},"versions":[{"identifier":"v0","latest":true}],"pageConfig":{"url":"/api","title":"API","path":"api.apispec.yaml"},"navList":[{"url":"/guides","section":"Guides","title":"Guides","type":"section-overview","path":"guides/index.md"},{"url":"/guides/authentication-quickstart","section":"Guides","title":"Authentication Quickstart","description":"Generate an Access Token to authenticate to the Link API","path":"guides/authentication_quickstart.md"},{"url":"/guides/public-private-auth","section":"Guides","title":"Authentication With Public/Private Keypair","description":"Generate a keypair to authenticate to the Link API","path":"guides/public_private_auth.md"},{"url":"/guides/rest-api","section":"Guides","title":"REST API","description":"Link records with our REST API.","path":"guides/rest_api.md"},{"url":"/api","title":"API","path":"api.apispec.yaml"},{"url":"/contact-us","title":"Contact Us","path":"contact_us.md"}]}},
    "staticQueryHashes": ["4224293195"]}